MSWTextInternal::Page Struct Reference

Internal: the page. More...

## Public Member Functions

| Page ()
| constructor More...

## Public Attributes

int | m_id
| the identificator More...
int | m_type
| the type More...
int | m_page
| the page number More...
int | m_paragraphId
| the paragraph id More...
int | m_values [4]
| some values ( 0, -1, 0, small number ) More...
std::string | m_error
| the errors More...

## Friends

std::ostream & | operator<< (std::ostream &o, Page const &page)
| operator<< More...

## Detailed Description

Internal: the page.

## Constructor & Destructor Documentation

MSWTextInternal::Page::Page | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Page const & | page
| ) |  |

friend

operator<<

## Member Data Documentation

std::string MSWTextInternal::Page::m_error

the errors

int MSWTextInternal::Page::m_id

the identificator

Referenced by MSWText::readPageBreak().

int MSWTextInternal::Page::m_page

the page number

Referenced by MSWText::readPageBreak().

int MSWTextInternal::Page::m_paragraphId

the paragraph id

int MSWTextInternal::Page::m_type

the type

Referenced by MSWText::readPageBreak().

int MSWTextInternal::Page::m_values[4]

some values ( 0, -1, 0, small number )

Referenced by Page(), and MSWText::readPageBreak().

The documentation for this struct was generated from the following file:

- MSWText.cxx